Не воспроизводиться видео в Яндекс.Браузер 21.6.2.817 beta (64-bit)

flashboom59

New member
Сообщения
4
#1
Вот что мне написали в тех. поддержке Яндекс:
Для корректной работы кодеки требуют пакет libc6 с версией минимум 2.27, однако Astra Linux поставляется с версией пакета меньше.
Попробуйте, пожалуйста, обновить libc6 до версии 2.27 или выше.

Подскажите, как обновить данный пакет?
 

Вложения

flashboom59

New member
Сообщения
4
#2
Получил официальный ответ от техподдержки Astra Linux, может кому пригодиться:
На текущий момент Вы можете установить libc6 версии 2.28-10 из вложения
Данные пакеты были выгружены из репозитория Debian 10 Buster.
Стоит учитывать, что обновлённая версия не тестировалась с ОС Astra Linux и корректность работы не может быть гарантирована.

В общем видео заработало, проблем не заметил.

Команды для установки через терминал:
sudo mkdir /tmp/install_glibc/
cd /tmp/install_glibc/
sudo wget http://ftp.ru.debian.org/debian/pool/main/g/glibc/libc6_2.28-10_amd64.deb
sudo wget http://ftp.ru.debian.org/debian/pool/main/g/glibc/locales_2.28-10_all.deb
sudo wget http://ftp.ru.debian.org/debian/pool/main/g/glibc/libc-l10n_2.28-10_all.deb
sudo wget http://ftp.ru.debian.org/debian/pool/main/g/glibc/libc-bin_2.28-10_amd64.deb
sudo wget http://ftp.ru.debian.org/debian/pool/main/g/glibc/libc-dev-bin_2.28-10_amd64.deb
sudo wget http://ftp.ru.debian.org/debian/pool/main/g/glibc/libc6-dev_2.28-10_amd64.deb
sudo wget http://ftp.ru.debian.org/debian/pool/main/g/glibc/libc6-dbg_2.28-10_amd64.deb
sudo wget http://ftp.ru.debian.org/debian/pool/main/g/glibc/libc6-i386_2.28-10_amd64.deb
sudo dpkg -i *
cd ~
sudo rm -rf /tmp/install_glibc/

Еще понадобится библиотека libffmpeg.so, её необходимо положить в /opt/yandex/browser-beta/
Команды для терминала:
cd /tmp
sudo wget http://security.ubuntu.com/ubuntu/p...xtra_91.0.4472.101-0ubuntu0.18.04.1_amd64.deb
sudo ar -x chromium-codecs-ffmpeg-extra_91.0.4472.101-0ubuntu0.18.04.1_amd64.deb
sudo tar xf data.tar.xz
sudo mv usr/lib/chromium-browser/libffmpeg.so /opt/yandex/browser-beta
sudo rm -rf usr data.tar.xz chromium-codecs-ffmpeg-extra_91.0.4472.101-0ubuntu0.18.04.1_amd64.deb control.tar.xz debian-binary
 
Последнее редактирование:
Сообщения
122
#3
Тем кого заинтересовало советую попробовать сначала на виртуалке. Я начал делать на основной и пришлось систему переустанавливать так как при открытии Synaptic сразу выдавались сообщения об ошибках.
 
Сообщения
3
#4
Много конфликтов с другим ПО, в итоге слетела локаль и вообще мороки на пол часа с восстановлением. Метод так себе - надо ждать полной сборки, Вообще странно что отечественное ПО так несогласованно выпускают. Старую версию ЯБ тоже не нашел. Махнул на это дело рукой - firefox и остальные показывают.
 
Сообщения
3
#5
В общем, немного подробнее - яндекс выпустил версию на базе хромиум 93.ххх , в его составе ffmpeg который расчитан на glibc >2.27, и он не работает. Старых версий ЯБ фиг где достать. нафиг такую поддержку, если честно) Есть куча других браузеров где этой проблемы нет.
 
Сообщения
3
#6
Написал в поддержку яндекса - предлагают обновить glibc . Это вообще за гранью - в некоторых дистрах то что они хотят еще не вошло в стабильную ветку... Старую версию они не распространяют. В моих интересах) Как выяснилось. В интересах человека который теперь вынужден иметь в виду то что они делают свой продукт не для всех, и переносить личные данные в другой браузер...